/*******************************************************************************
 *  Copyright 2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;
/**
 * This enum represents Code Value for ImageLibraryEntryDescriptorsForCrossSectionalModalities
 */
public enum EnumCV_ImageLibraryEntryDescriptorsForCrossSectionalModalities {

	HORIZONTALPIXEL_SPACING_111026("111026"),
	VERTICALPIXEL_SPACING_111066("111066"),
	SPACINGBETWEEN_SLICES_112226("112226"),
	SLICETHICKNESS_112225("112225"),
	IMAGEPOSITION_PATIENT_X_110901("110901"),
	IMAGEPOSITION_PATIENT_Y_110902("110902"),
	IMAGEPOSITION_PATIENT_Z_110903("110903"),
	IMAGEORIENTATION_PATIENT_ROW_X_110904("110904"),
	IMAGEORIENTATION_PATIENT_ROW_Y_110905("110905"),
	IMAGEORIENTATION_PATIENT_ROW_Z_110906("110906"),
	IMAGEORIENTATION_PATIENT_COLUMN_X_110907("110907"),
	IMAGEORIENTATION_PATIENT_COLUMN_Y_110908("110908"),
	IMAGEORIENTATION_PATIENT_COLUMN_Z_110909("110909"),
	;
	private String value;
	
	EnumCV_ImageLibraryEntryDescriptorsForCrossSectionalModalities(String strvalue)
	{
		this.value = strvalue;
	}
	
	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Meaning.
	 */
	public String getValue()
	{
		return value;
	}
}
